> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook

> Update the URL or settings of an existing Sendforsign webhook.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**webhooks** `array` *required*

Array of webhooks. Add the fields that need to be updated and ignore the rest.

**child attribute**

**webhookKey** `string` *required*

Webhook's key.

**url** `string`

Webhook's endpoint.

**created** `boolean`

Event to listen: `contract.created`.

**seen** `boolean`

Event to listen: `contract.seen`.

**sent** `boolean`

Event to listen: `contract.sent`.

**approved** `boolean`

Event to listen: `contract.approved`.

**signed** `boolean`

Event to listen: `contract.signed`.

**fullySigned** `boolean`

Event to listen: `contract.fully_signed`.

### Response

**webhooks** `string`

Array of webhooks.

**child attribute**

**changeTime** `string`

Change time.

**webhookKey** `string`

Webhook's key.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/webhook' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{
    "data": {
        "action": "update",
        "clientKey": "YOUR_CLIENT_KEY",
        "webhooks": [
            {
                "webhookKey": "WEBHOOK_KEY",
                "url": "URL",
                "created": true,
                "seen": true
            }
        ]
    }
}'
```

```json Response theme={null}
{
    "webhooks": [
        {
            "webhookKey": "WEBHOOK_KEY",
            "changeTime": "2024-04-08T09:01:12.000Z"
        }
    ],
    "code": "201",
    "message": "Webhooks updated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.